GET /v1/assets
Authorization: Bearer <API_KEY>
查询参数
| 参数 | 类型 | 说明 |
|---|---|---|
status | string | 按状态过滤:processing、active、failed。 |
asset_type | string | 按类型过滤:image、video、audio。 |
name | string | 按名称模糊搜索。 |
page | integer | 页码,默认 1。 |
page_size | integer | 每页数量,默认 20,最大 100。 |
示例
curl "https://{your-domain}/v1/assets?asset_type=image&status=active&page=1&page_size=20" \
-H "Authorization: Bearer $API_KEY"
{
"items": [
{
"id": "asset_6f9a4c2b8d1e3a90",
"uri": "asset://asset_6f9a4c2b8d1e3a90",
"object": "asset",
"asset_type": "image",
"name": "avatar-reference",
"status": "active",
"created_at": 1779782400,
"updated_at": 1779782460
}
],
"total": 1,
"page": 1,
"page_size": 20
}
素材状态
| 状态 | 说明 | 是否可用于视频生成 |
|---|---|---|
processing | 平台已受理,正在保存或等待处理。 | 否 |
active | 素材可用。 | 是 |
failed | 素材处理失败。 | 否 |
disabled | 素材已被平台禁用。 | 否 |
.png?fit=max&auto=format&n=BFsTNTAO9-CmNcfC&q=85&s=89ae106c3e021b61fea778ce9f5b2e0e)